> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set transcript property value

> Associate a value with the specified property and transcript.



## OpenAPI

````yaml /specs/analytics/openapi.public.json post /v1/transcript-property-value
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript-property-value:
    post:
      tags:
        - Transcript property value
        - Public-Docs
      summary: Set transcript property value
      description: Associate a value with the specified property and transcript.
      operationId: TranscriptPropertyValuePublicController_create_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                propertyID:
                  description: ID of the transcript property to target.
                  type: string
                transcriptID:
                  description: ID of the transcript to target.
                  type: string
                value:
                  description: Value of the transcript property to be set.
                  type: string
                metadata:
                  description: Additional metadata associated with the property value.
                  type: object
                  additionalProperties: {}
                  nullable: true
              required:
                - propertyID
                - transcriptID
                - value
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  propertyValue:
                    type: object
                    properties:
                      propertyID:
                        type: string
                      transcriptID:
                        type: string
                      value:
                        type: string
                      metadata:
                        type: object
                        additionalProperties: {}
                        nullable: true
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                    required:
                      - propertyID
                      - transcriptID
                      - value
                      - metadata
                      - createdAt
                      - updatedAt
                required:
                  - propertyValue
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````